HP Views Designer Assistant: View Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Protected Member Functions | Protected Attributes | Private Slots | Private Attributes | List of all members
View Class Referenceabstract

The View class. More...

`#include <view.h>`

Inheritance diagram for View:

## Public Member Functions

| View (QWidget *parent)
| View constructor. More...
virtual void | showError (QString error)=0
| showError Shows error message. More...
virtual void | showSuccess (QString success)=0
| showSuccess Show success message. More...
virtual void | showInfo (QString info)=0
| showInfo Show information message. More...
void | show (QPoint position, QSize size)
| show Shows the view. More...

## Protected Member Functions

virtual void | initElements ()=0
| initElements Initialices the elements.
virtual void | setValidators ()=0
| setValidators Sets the validators of the view inputs.
virtual void | setToolTips ()=0
| setToolTips Sets the buttons help.
virtual void | isFullFill ()=0
| isFullFill Checks if the all of the inputs have correct values.
void | setIntValidators (QLineEdit *input, int min, int max)
| setIntValidators Sets a numeric validator to an input. More...
QString | selectImage ()
| selectImage Selects an system image. More...
int | checkNumberElements (int numberOfElements)
| checkNumberElements Checks if the number of elements are correct More...
QString | getRootHelpPath ()
| getRootHelpPath Returns the root help app path. More...

## Protected Attributes

QPoint | currentPosition
| currentPosition Current position of the view.
Controller * | controller
| controller Views controller.

## Private Slots

void | moveEvent (QMoveEvent *event)
| moveEvent This slot is executed when the view is moved. More...

## Private Attributes

Ui::View * | ui
| ui

## Detailed Description

The View class.

## Constructor & Destructor Documentation

## ◆ View()

View::View | ( | QWidget * | parent | ) |

View constructor.

Parameters

  parent | View parent widget.

## Member Function Documentation

## ◆ checkNumberElements()

int View::checkNumberElements | ( | int | numberOfElements | ) |

protected

checkNumberElements Checks if the number of elements are correct

Parameters

  numberOfElements | Number of elements.

Returns
  The correct number of elements.

## ◆ getRootHelpPath()

QString View::getRootHelpPath | ( |  | ) |

protected

getRootHelpPath Returns the root help app path.

Returns
  Root app help path.

## ◆ moveEvent

void View::moveEvent | ( | QMoveEvent * | event | ) |

privateslot

moveEvent This slot is executed when the view is moved.

Parameters

  event | Move event.

## ◆ selectImage()

QString View::selectImage | ( |  | ) |

protected

selectImage Selects an system image.

Returns
  Path of the system image.

## ◆ setIntValidators()

void View::setIntValidators | ( | QLineEdit * | input,
|  | int | min,
|  | int | max
| ) |  |

protected

setIntValidators Sets a numeric validator to an input.

Parameters

  input | Input to set the validator.
  min | Minimum value.
  max | Maximim value.

## ◆ show()

void View::show | ( | QPoint | position,
|  | QSize | size
| ) |  |

show Shows the view.

Parameters

  position | Position to show the view.
  size | Size to show the view.

## ◆ showError()

virtual void View::showError | ( | QString | error | ) |

pure virtual

showError Shows error message.

Parameters

  error | Message to show.

Implemented in MenuIconOptions, InformationScreen, MenuScreen, InkScreen, InformationScreenOptions, and Settings.

## ◆ showInfo()

virtual void View::showInfo | ( | QString | info | ) |

pure virtual

showInfo Show information message.

Parameters

  info | Message to show.

Implemented in MenuIconOptions, InformationScreen, MenuScreen, InkScreen, InformationScreenOptions, and Settings.

## ◆ showSuccess()

virtual void View::showSuccess | ( | QString | success | ) |

pure virtual

showSuccess Show success message.

Parameters

  success | Message to show.

Implemented in InformationScreen, MenuIconOptions, MenuScreen, InkScreen, InformationScreenOptions, and Settings.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/view.h
- D:/Documentos/ViewDesignerAssistant/View/view.cpp